Loading...
Searching...
No Matches
calendar.c File Reference

Various functions to convert between calendar dates and Julian days. More...

## Functions

int | cal_date (double tjd, short *restrict year, short *restrict month, short *restrict day, double *restrict hour)
| This function will compute a broken down date on the astronomical calendar given the Julian day input.
double | julian_date (short year, short month, short day, double hour)
| Returns the Julian day for a given astronomical calendar date.
int | novas_day_of_week (double tjd)
| Returns the one-based ISO 8601 day-of-week index of a given Julian Date.
int | novas_day_of_year (double tjd, enum novas_calendar_type calendar, int *restrict year)
| Returns the one-based day index in the calendar year for a given Julian Date.
double | novas_jd_from_date (enum novas_calendar_type calendar, int year, int month, int day, double hour)
| Returns the Julian day for a given calendar date.
int | novas_jd_to_date (double tjd, enum novas_calendar_type calendar, int *restrict year, int *restrict month, int *restrict day, double *restrict hour)
| This function will compute a broken down date on the specified calendar for given the Julian day input.

## Detailed Description

Various functions to convert between calendar dates and Julian days.

Date
  Created on Mar 6, 2025

Author
  Attila Kovacs and G. Kaplan

See also
  timescale.c